<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>

    <header>
        <div class="logo-wrapper">
            <HeaderBranding />
        </div>
        <div class="right-content">
            <!-- {{ $t('nav_dashboard') }} -->
            <HeaderNav />
            <div class="settings-user">
                <HeaderSettings />
                <UserProfile :homepage="true" />
            </div>
        </div>
    </header>
    <div class="content-wrapper">
        <aside class="sidebar">
            <div id="sidebar-nav"></div>
            <!-- <SidebarRecent /> -->
        </aside>
        <main>
            <slot></slot>
        </main>
    </div>

    <div id="modals-container"></div>

</template>
<script setup lang="ts">

// list all i18n messages loaded
// console.log(Object.keys(useI18n().availableLocales));

// console.log( useI18n().localeProperties.value['en'] );

</script>